Bug 204672 - crash building pygtk docs
crash building pygtk docs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libxslt (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 14:50 EDT by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 20:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2006-08-30 14:50:23 EDT
make[2]: Entering directory
`/home/dcbw/Development/olpc/sugar-jhbuild/source/pygtk/docs'
*** glibc detected *** xsltproc: corrupted double-linked list: 0x0da24c58 ***
======= Backtrace: =========
/lib/libc.so.6[0x93054a]
/lib/libc.so.6[0x932858]
/lib/libc.so.6(__libc_malloc+0x7e)[0x93409e]
/usr/lib/libxml2.so.2(xmlDictCreate+0x6b)[0x376fcab]
/usr/lib/libxml2.so.2(xmlInitParserCtxt+0x4b5)[0x36b2835]
/usr/lib/libxml2.so.2(xmlNewParserCtxt+0x4c)[0x36b28bc]
/usr/lib/libxml2.so.2[0x37128e6]
/usr/lib/libxml2.so.2[0x37118aa]
/usr/lib/libxml2.so.2(xmlXIncludeProcessFlags+0x6d)[0x371266d]
xsltproc[0x804975c]
xsltproc[0x804a23b]
/lib/libc.so.6(__libc_start_main+0xdc)[0x8e224c]
xsltproc(xmlNoNetExternalEntityLoader+0x145)[0x80491b1]
======= Memory map: ========
0079d000-007af000 r-xp 00000000 fd:00 1017461    /lib/libnsl-2.4.90.so
007af000-007b0000 r-xp 00011000 fd:00 1017461    /lib/libnsl-2.4.90.so
007b0000-007b1000 rwxp 00012000 fd:00 1017461    /lib/libnsl-2.4.90.so
007b1000-007b3000 rwxp 007b1000 00:00 0 
00829000-0085d000 r-xp 00000000 fd:00 9117413    /usr/lib/libxslt.so.1.1.17
0085d000-0085e000 rwxp 00033000 fd:00 9117413    /usr/lib/libxslt.so.1.1.17
00874000-0087f000 r-xp 00000000 fd:00 1017473    /lib/libgcc_s-4.1.1-20060828.so.1
0087f000-00880000 rwxp 0000a000 fd:00 1017473    /lib/libgcc_s-4.1.1-20060828.so.1
008ac000-008c5000 r-xp 00000000 fd:00 1016108    /lib/ld-2.4.90.so
008c5000-008c6000 r-xp 00018000 fd:00 1016108    /lib/ld-2.4.90.so
008c6000-008c7000 rwxp 00019000 fd:00 1016108    /lib/ld-2.4.90.so
008c9000-00a00000 r-xp 00000000 fd:00 1017452    /lib/libc-2.4.90.so
00a00000-00a02000 r-xp 00137000 fd:00 1017452    /lib/libc-2.4.90.so
00a02000-00a03000 rwxp 00139000 fd:00 1017452    /lib/libc-2.4.90.so
00a03000-00a06000 rwxp 00a03000 00:00 0 
00a08000-00a2d000 r-xp 00000000 fd:00 1017459    /lib/libm-2.4.90.so
00a2d000-00a2e000 r-xp 00024000 fd:00 1017459    /lib/libm-2.4.90.so
00a2e000-00a2f000 rwxp 00025000 fd:00 1017459    /lib/libm-2.4.90.so
00a31000-00a33000 r-xp 00000000 fd:00 1017453    /lib/libdl-2.4.90.so
00a33000-00a34000 r-xp 00001000 fd:00 1017453    /lib/libdl-2.4.90.so
00a34000-00a35000 rwxp 00002000 fd:00 1017453    /lib/libdl-2.4.90.so
00a37000-00a48000 r-xp 00000000 fd:00 9113878    /usr/lib/libexslt.so.0.8.13
00a48000-00a49000 rwxp 00010000 fd:00 9113878    /usr/lib/libexslt.so.0.8.13
00a50000-00a62000 r-xp 00000000 fd:00 9118107    /usr/lib/libz.so.1.2.3
00a62000-00a63000 rwxp 00011000 fd:00 9118107    /usr/lib/libz.so.1.2.3
03690000-037bc000 r-xp 00000000 fd:00 9118143    /usr/lib/libxml2.so.2.6.26
037bc000-037c1000 rwxp 0012b000 fd:00 9118143    /usr/lib/libxml2.so.2.6.26
037c1000-037c2000 rwxp 037c1000 00:00 0 
03eda000-03edd000 r-xp 00000000 fd:00 9118128    /usr/lib/libgpg-error.so.0.2.1
03edd000-03ede000 rwxp 00002000 fd:00 9118128    /usr/lib/libgpg-error.so.0.2.1
0406f000-040c2000 r-xp 00000000 fd:00 9118129    /usr/lib/libgcrypt.so.11.2.1
040c2000-040c4000 rwxp 00053000 fd:00 9118129    /usr/lib/libgcrypt.so.11.2.1
08048000-0804c000 r-xp 00000000 fd:00 9120210    /usr/bin/xsltproc
0804c000-0804e000 rwxp 00003000 fd:00 9120210    /usr/bin/xsltproc
097a2000-0ff1e000 rwxp 097a2000 00:00 0 
40000000-40001000 r-xp 40000000 00:00 0          [vdso]
40001000-40002000 rw-p 40001000 00:00 0 
40014000-400d7000 rw-p 40014000 00:00 0 
40100000-40121000 rw-p 40100000 00:00 0 
40121000-40200000 ---p 40121000 00:00 0 
bf924000-bf93a000 rw-p bf924000 00:00 0          [stack]
make[2]: *** [html/atk-class-reference.html] Aborted

Seems to reliably happen when building pygtk under jhbuild.

libxslt-1.1.17-1.1

Tarball of pygtk directory here:

http://people.redhat.com/dcbw/pygtk.tar.bz2

You probably won't be able to just do a 'make' in the docs dir, but at least the
sources are there to distill a testcase with or something...
Comment 1 Dan Williams 2006-09-01 13:19:44 EDT
(gdb) set args --nonet --xinclude -o ../docs/html/ --path
../docs/reference:./reference --stringparam gtkdoc.bookname "pygtk"
--stringparam gtkdoc.version 2.9
/home/dcbw/Development/olpc/sugar-jhbuild/build/share/pygobject/xsl/ref-html-style.xsl
./reference/pygtk2-ref.xml
(gdb) r
Starting program: /usr/bin/xsltproc --nonet --xinclude -o ../docs/html/ --path
../docs/reference:./reference --stringparam gtkdoc.bookname "pygtk"
--stringparam gtkdoc.version 2.9
/home/dcbw/Development/olpc/sugar-jhbuild/build/share/pygobject/xsl/ref-html-style.xsl
./reference/pygtk2-ref.xml
*** glibc detected *** /usr/bin/xsltproc: corrupted double-linked list:
0x0d437c58 ***
======= Backtrace: =========
/lib/libc.so.6[0x93054a]
/lib/libc.so.6[0x932858]
/lib/libc.so.6(__libc_malloc+0x7e)[0x93409e]
/usr/lib/libxml2.so.2(xmlDictCreate+0x6b)[0x376fcab]
/usr/lib/libxml2.so.2(xmlInitParserCtxt+0x4b5)[0x36b2835]
/usr/lib/libxml2.so.2(xmlNewParserCtxt+0x4c)[0x36b28bc]
/usr/lib/libxml2.so.2[0x37128e6]
/usr/lib/libxml2.so.2[0x37118aa]
/usr/lib/libxml2.so.2(xmlXIncludeProcessFlags+0x6d)[0x371266d]
/usr/bin/xsltproc[0x804975c]
/usr/bin/xsltproc[0x804a23b]
/lib/libc.so.6(__libc_start_main+0xdc)[0x8e224c]
/usr/bin/xsltproc(xmlNoNetExternalEntityLoader+0x145)[0x80491b1]
======= Memory map: ========
0045e000-0046f000 r-xp 00000000 fd:00 9117413    /usr/lib/libexslt.so.0.8.13
0046f000-00470000 rwxp 00010000 fd:00 9117413    /usr/lib/libexslt.so.0.8.13
005cf000-00603000 r-xp 00000000 fd:00 9129319    /usr/lib/libxslt.so.1.1.17
00603000-00604000 rwxp 00033000 fd:00 9129319    /usr/lib/libxslt.so.1.1.17
0079d000-007af000 r-xp 00000000 fd:00 1017461    /lib/libnsl-2.4.90.so
007af000-007b0000 r-xp 00011000 fd:00 1017461    /lib/libnsl-2.4.90.so
007b0000-007b1000 rwxp 00012000 fd:00 1017461    /lib/libnsl-2.4.90.so
007b1000-007b3000 rwxp 007b1000 00:00 0 
00874000-0087f000 r-xp 00000000 fd:00 1017473    /lib/libgcc_s-4.1.1-20060828.so.1
0087f000-00880000 rwxp 0000a000 fd:00 1017473    /lib/libgcc_s-4.1.1-20060828.so.1
008ac000-008c5000 r-xp 00000000 fd:00 1016108    /lib/ld-2.4.90.so
008c5000-008c6000 r-xp 00018000 fd:00 1016108    /lib/ld-2.4.90.so
008c6000-008c7000 rwxp 00019000 fd:00 1016108    /lib/ld-2.4.90.so
008c9000-00a00000 r-xp 00000000 fd:00 1017452    /lib/libc-2.4.90.so
00a00000-00a02000 r-xp 00137000 fd:00 1017452    /lib/libc-2.4.90.so
00a02000-00a03000 rwxp 00139000 fd:00 1017452    /lib/libc-2.4.90.so
00a03000-00a06000 rwxp 00a03000 00:00 0 
00a08000-00a2d000 r-xp 00000000 fd:00 1017459    /lib/libm-2.4.90.so
00a2d000-00a2e000 r-xp 00024000 fd:00 1017459    /lib/libm-2.4.90.so
00a2e000-00a2f000 rwxp 00025000 fd:00 1017459    /lib/libm-2.4.90.so
00a31000-00a33000 r-xp 00000000 fd:00 1017453    /lib/libdl-2.4.90.so
00a33000-00a34000 r-xp 00001000 fd:00 1017453    /lib/libdl-2.4.90.so
00a34000-00a35000 rwxp 00002000 fd:00 1017453    /lib/libdl-2.4.90.so
00a50000-00a62000 r-xp 00000000 fd:00 9118107    /usr/lib/libz.so.1.2.3
00a62000-00a63000 rwxp 00011000 fd:00 9118107    /usr/lib/libz.so.1.2.3
03690000-037bc000 r-xp 00000000 fd:00 9118143    /usr/lib/libxml2.so.2.6.26
037bc000-037c1000 rwxp 0012b000 fd:00 9118143    /usr/lib/libxml2.so.2.6.26
037c1000-037c2000 rwxp 037c1000 00:00 0 
03eda000-03edd000 r-xp 00000000 fd:00 9118128    /usr/lib/libgpg-error.so.0.2.1
03edd000-03ede000 rwxp 00002000 fd:00 9118128    /usr/lib/libgpg-error.so.0.2.1
0406f000-040c2000 r-xp 00000000 fd:00 9118129    /usr/lib/libgcrypt.so.11.2.1
040c2000-040c4000 rwxp 00053000 fd:00 9118129    /usr/lib/libgcrypt.so.11.2.1
08048000-0804c000 r-xp 00000000 fd:00 9120210    /usr/bin/xsltproc
0804c000-0804e000 rwxp 00003000 fd:00 9120210    /usr/bin/xsltproc
091b5000-0f931000 rwxp 091b5000 00:00 0 
b7d00000-b7d21000 rwxp b7d00000 00:00 0 
b7d21000-b7e00000 --xp b7d21000 00:00 0 
b7ec3000-b7f86000 rwxp b7ec3000 00:00 0 
b7f98000-b7f99000 rwxp b7f98000 00:00 0 
b7f99000-b7f9a000 r-xp b7f99000 00:00 0          [vdso]
bf905000-bf91a000 rw-p bf905000 00:00 0          [stack]
Program received signal SIGABRT, Aborted.
0xb7f99402 in __kernel_vsyscall ()
(gdb) bt
#0  0xb7f99402 in __kernel_vsyscall ()
#1  0x008f5060 in raise () from /lib/libc.so.6
#2  0x008f68b1 in abort () from /lib/libc.so.6
#3  0x0092a47b in __libc_message () from /lib/libc.so.6
#4  0x0093054a in malloc_consolidate () from /lib/libc.so.6
#5  0x00932858 in _int_malloc () from /lib/libc.so.6
#6  0x0093409e in malloc () from /lib/libc.so.6
#7  0x0376fcab in xmlDictCreate__internal_alias () at dict.c:336
#8  0x036b2835 in xmlInitParserCtxt__internal_alias (ctxt=0xa460c08) at
parserInternals.c:1516
#9  0x036b28bc in xmlNewParserCtxt__internal_alias () at parserInternals.c:1767
#10 0x037128e6 in xmlXIncludeLoadDoc (ctxt=0xa13e4d8, url=<value optimized out>,
nr=4) at xinclude.c:425
#11 0x037118aa in xmlXIncludeDoProcess (ctxt=0xa13e4d8, doc=0x9f96828,
tree=<value optimized out>) at xinclude.c:2067
#12 0x0371266d in xmlXIncludeProcessFlags__internal_alias (doc=0x9f96828,
flags=16398) at xinclude.c:2437
#13 0x0804975c in xsltProcess (doc=0x9f96828, cur=0x91c08e0, filename=0xbf9199ae
"./reference/pygtk2-ref.xml") at xsltproc.c:363
#14 0x0804a23b in main (argc=15, argv=0xbf919054) at xsltproc.c:830
#15 0x008e224c in __libc_start_main () from /lib/libc.so.6
#16 0x080491b1 in _start ()
(gdb) 

Comment 2 Dan Williams 2006-09-01 13:20:08 EDT
This is using libxml2-2.6.26-2.1.1
Comment 3 Daniel Veillard 2006-09-01 13:54:07 EDT
tarball in #1 doesn't include stylesheets referenced in #2
/home/dcbw/Development/olpc/sugar-jhbuild/build/share/pygobject/xsl/ref-html-style.xsl
try to run under valgrind .
If possible try to produce a standalone environment reproducing the problem
try with libxslt CVS head 
Sorry I don't jhbuild I have no such environment around.

Daniel
Comment 4 Dan Williams 2006-09-07 10:32:03 EDT
I tried to valgrind this but it appears to exhaust 1GB of memory while doing so
and I had to kill it after 2 hours.  I'll try again without X running at some point.
Comment 5 Daniel Veillard 2006-11-06 06:01:15 EST
Can you check with the new libxml2 and libxslt versions (2.6.27 and 1.1.18) ?
I'm surprized this crash didn't got reported by others or upstream.

Daniel
Comment 6 Matthew Miller 2007-04-06 15:10:02 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Dan Williams 2007-10-31 20:31:35 EDT
probably fixed; dont' care anymore

Note You need to log in before you can comment on or make changes to this bug.